Page MenuHomeFreeBSD

devel/thrift-cpp: fix build with GCC-based architectures
ClosedPublic

Authored by pkubaj on May 17 2019, 10:54 AM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jun 16, 11:42 AM
Unknown Object (File)
Fri, May 31, 6:16 AM
Unknown Object (File)
Fri, May 31, 6:16 AM
Unknown Object (File)
Fri, May 31, 6:16 AM
Unknown Object (File)
Fri, May 31, 6:15 AM
Unknown Object (File)
Fri, May 31, 6:04 AM
Unknown Object (File)
May 15 2024, 7:48 PM
Unknown Object (File)
May 2 2024, 10:10 AM
Subscribers
None

Details

Summary

Add -L${OPENSSLLIB} -I${OPENSSLINC} only when base OpenSSL isn't used. Explicitly adding -L/usr/lib make ports GCC link to libstdc++ from /usr/lib instead of /usr/local/lib/gcc8.

Also, explicitly don't use Lua and Qt5, the port uses it if it's installed.

PR: 237506

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

devel/thrift-cpp/Makefile
47 ↗(On Diff #57478)

^I'd say this warrants a PORTREVISON bump

Looks ok, pending maintainer's approval.

This revision is now accepted and ready to land.May 20 2019, 12:36 PM
This revision was automatically updated to reflect the committed changes.

Committed because maintainer timeout.